cleanup: no carriage return, just line feed!
[rapper.git] / bitbucket_lpc1768 / quiet
index d8bea33..af06678 100755 (executable)
@@ -1,62 +1,62 @@
-#!/bin/sh
-HELP='Usage:
-  quiet fname cmd args ...
-
-Runs the  passed in command  printing only  "cmd" and "fname"  unless an
-error  occurs  in which  case  it  prints  the  whole command  line  and
-colorized program output. Useful  for running compilation commands since
-it removes the cluter, making it easier to spot errors and warnings.
-
-'
-# Copyright (c) 2008-2010 LoEE
-# This program is released under the new BSD license.
-
-if [ $# -lt 2 ]; then
-  printf "$HELP"
-  exit
-fi
-
-GREEN=""
-RED=""
-NORM=""
-if [ "$TERM@" = "rxvt@" ]; then
-  GREEN="printf \033[32m"
-  RED="printf \033[31m"
-  YELLOW="printf \033[33m" # this is not yellow :)
-  NORM="printf \033[m\017"
-fi
-if [ "$OSTYPE@" = "msys@" ]; then
-  OLDATTR=$(eecolor.exe)
-  GREEN="eecolor.exe 0 10"
-  RED="eecolor.exe 0 12"  
-  YELLOW="eecolor 0 14"
-  NORM="eecolor.exe ${OLDATTR}"   
-fi
-
-MSG="$(printf "%-16s $1" "$2")"
-shift;
-
-printf "${MSG}\r" 1>&2
-
-rm -f quiet.log
-"$@" 2>> quiet.log
-RET=$?
-# if we check $? we won't notice the warnings
-if [ $RET -ne 0 -o -s quiet.log ]; then
-  echo "$@" >& 2
-  if [ $RET -ne 0 ]; then
-    $RED >& 2
-  else 
-    $YELLOW >& 2
-  fi
-  cat quiet.log >& 2
-  $NORM &> 2
-
-  exit $RET
-else
-  $GREEN >& 2
-  printf "${MSG}\n" 1>&2
-  $NORM >& 2
-fi
-rm quiet.log
-exit $RET
+#!/bin/sh\r
+HELP='Usage:\r
+  quiet fname cmd args ...\r
+\r
+Runs the  passed in command  printing only  "cmd" and "fname"  unless an\r
+error  occurs  in which  case  it  prints  the  whole command  line  and\r
+colorized program output. Useful  for running compilation commands since\r
+it removes the cluter, making it easier to spot errors and warnings.\r
+\r
+'\r
+# Copyright (c) 2008-2010 LoEE\r
+# This program is released under the new BSD license.\r
+\r
+if [ $# -lt 2 ]; then\r
+  printf "$HELP"\r
+  exit\r
+fi\r
+\r
+GREEN=""\r
+RED=""\r
+NORM=""\r
+if [ "$TERM@" = "rxvt@" ]; then\r
+  GREEN="printf \033[32m"\r
+  RED="printf \033[31m"\r
+  YELLOW="printf \033[33m" # this is not yellow :)\r
+  NORM="printf \033[m\017"\r
+fi\r
+if [ "$OSTYPE@" = "msys@" ]; then\r
+  OLDATTR=$(eecolor.exe)\r
+  GREEN="eecolor.exe 0 10"\r
+  RED="eecolor.exe 0 12"  \r
+  YELLOW="eecolor 0 14"\r
+  NORM="eecolor.exe ${OLDATTR}"   \r
+fi\r
+\r
+MSG="$(printf "%-16s $1" "$2")"\r
+shift;\r
+\r
+printf "${MSG}\r" 1>&2\r
+\r
+rm -f quiet.log\r
+"$@" 2>> quiet.log\r
+RET=$?\r
+# if we check $? we won't notice the warnings\r
+if [ $RET -ne 0 -o -s quiet.log ]; then\r
+  echo "$@" >& 2\r
+  if [ $RET -ne 0 ]; then\r
+    $RED >& 2\r
+  else \r
+    $YELLOW >& 2\r
+  fi\r
+  cat quiet.log >& 2\r
+  $NORM &> 2\r
+\r
+  exit $RET\r
+else\r
+  $GREEN >& 2\r
+  printf "${MSG}\n" 1>&2\r
+  $NORM >& 2\r
+fi\r
+rm quiet.log\r
+exit $RET\r